Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.persist
Class PerspectiveModel

    java.lang.Object
      org.flexdock.perspective.persist.PerspectiveModel

All Implemented Interfaces:
  Serializable

    public class PerspectiveModel

extends Object
implements Serializable

Created on 2005-03-30

Version:
  $Id: PerspectiveModel.java,v 1.1 2005/06/11 16:14:48 marius Exp $
Author:
  Christopher Butler, Mateusz Szczap
See Also:
  Serialized Form

Constructor Summary
`PerspectiveModel(String defaultId, String current, Perspective[] perspectives)`

Method Summary
`String` | `getCurrentPerspective()`
`String` | `getDefaultPerspective()`
`Perspective[]` | `getPerspectives()`
`void` | `setCurrentPerspective(String currentPerspective)`
`void` | `setDefaultPerspective(String defaultPerspective)`
`void` | `setPerspectives(Perspective[] perspectives)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerspectiveModel

    public PerspectiveModel(String defaultId,
                            String current,
                            Perspective[] perspectives)

Method Detail

### getDefaultPerspective

    public String getDefaultPerspective()

### setDefaultPerspective

    public void setDefaultPerspective(String defaultPerspective)

### getPerspectives

    public Perspective[] getPerspectives()

### setPerspectives

    public void setPerspectives(Perspective[] perspectives)

### getCurrentPerspective

    public String getCurrentPerspective()

### setCurrentPerspective

    public void setCurrentPerspective(String currentPerspective)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD